<script setup lang="ts">
import { ref, watch } from 'vue'
import { useRoute } from 'vue-router'
const layout = ref('DefaultLayout')
const route = useRoute()

watch(route, to => {
  if(to.meta.layout !== undefined) {
    layout.value = to.meta.layout
  } else {
    layout.value = 'DefaultLayout'
  }
})



</script>

<template>
<component :is="layout"/>
</template>
